Delen via


Cluster Principal Assignments - Get

Hiermee wordt een Kusto-cluster-principalAssignment opgehaald.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Kusto/clusters/{clusterName}/principalAssignments/{principalAssignmentName}?api-version=2025-02-14

URI-parameters

Name In Vereist Type Description
clusterName
path True

string

pattern: ^.*$

De naam van het Kusto-cluster.

principalAssignmentName
path True

string

pattern: ^.*$

De naam van de Kusto principalAssignment.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string

minLength: 1

De id van het doelabonnement.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Name Type Description
200 OK

ClusterPrincipalAssignment

Azure-operatie succesvol voltooid.

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

KustoClusterPrincipalAssignmentsGet

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789098/resourceGroups/kustorptest/providers/Microsoft.Kusto/clusters/kustoCluster/principalAssignments/kustoprincipal1?api-version=2025-02-14

Voorbeeldrespons

{
  "name": "kustoCluster/kustoprincipal1",
  "type": "Microsoft.Kusto/Clusters/PrincipalAssignments",
  "id": "/subscriptions/12345678-1234-1234-1234-123456789098/resourceGroups/kustorptest/providers/Microsoft.Kusto/Clusters/kustoCluster/PrincipalAssignments/kustoprincipal1",
  "properties": {
    "aadObjectId": "98765432-1234-1234-1234-123456789123",
    "principalId": "87654321-1234-1234-1234-123456789123",
    "principalName": "TestApp",
    "principalType": "App",
    "provisioningState": "Succeeded",
    "role": "AllDatabasesAdmin",
    "tenantId": "12345678-1234-1234-1234-123456789123",
    "tenantName": "tenantName"
  }
}

Definities

Name Description
ClusterPrincipalAssignment

Klasse die een cluster principal toewijzing vertegenwoordigt.

ClusterPrincipalRole

Clusterprincipaalrol.

createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

PrincipalType

Principal-type.

ProvisioningState

De ingerichte status van de resource.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

ClusterPrincipalAssignment

Klasse die een cluster principal toewijzing vertegenwoordigt.

Name Type Description
id

string

Volledig gekwalificeerde resource-id voor de resource. Vb.: - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

De naam van de resource

properties.aadObjectId

string

De service principal object-id in AAD (Azure Active Directory)

properties.principalId

string

De principal-id die is toegewezen aan de cluster-principal. Dit kan een gebruikers-e-mail, toepassings-id of naam van een beveiligingsgroep zijn.

properties.principalName

string

De hoofdnaam

properties.principalType

PrincipalType

Principal-type.

properties.provisioningState

ProvisioningState

De ingerichte status van de resource.

properties.role

ClusterPrincipalRole

Clusterprincipaalrol.

properties.tenantId

string

De tenant-id van de principal

properties.tenantName

string

De naam van de huurder van de directeur

systemData

systemData

Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens.

type

string

Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

ClusterPrincipalRole

Clusterprincipaalrol.

Waarde Description
AllDatabasesAdmin

AllDatabasesAdmin

AllDatabasesViewer

AllDatabasesViewer

AllDatabasesMonitor

AllDatabasesMonitor

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoelwit.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

PrincipalType

Principal-type.

Waarde Description
App

Applicatie

Group

Groep

User

Gebruiker

ProvisioningState

De ingerichte status van de resource.

Waarde Description
Running

Hardlopen

Creating

Creëren

Deleting

Verwijderen

Succeeded

Geslaagd

Failed

Mislukt

Moving

Ontroerend

Canceled

Geannuleerd

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.